<form [formGroup]="formGroup"
      (ngSubmit)="onSearch()"
      *ngIf="requestStatuses$ | async; let statuses"
      class="requests-search-form">
  <mat-radio-group formControlName="statusId" class="requests-search-form__radio-container">
    <mat-radio-button *ngFor="let status of statuses" [value]="status.id">
      {{status.status | uppercase}}
    </mat-radio-button>
  </mat-radio-group>
  <button mat-raised-button color="primary" type="submit" [disabled]="!formGroup.valid">
    {{'perform_search' | transloco}}
  </button>
</form>
